#include <vector>
#include "raylib.h"

class BackGround
{

public:
  BackGround() = default;
  ~BackGround() = default;
  void init(int size);
  void newGen();

private:
  void starts();
  void moon();
  void mounten(size_t mountenSegments, float scale, int min, int max, Color color);

  int size = 0;
  Texture2D texShapes = {1, 1, 1, 1, 7};

  Color backGroundColor = {21, 34, 56, 255};

  size_t numOfStarts = 150;
  Color starColor = WHITE;

  Color moonColor = {240, 240, 190, 255};
  float minSizeOfMoon = 0.05f;
  float maxSizeOfMoon = 0.075f;
  float maxYPosOfMoon = 0.75f;

  Color mountenColor = {28, 28, 38, 255};
  float mounten1 = 0.6875f;
  float mounten2 = 0.8125f;
  float mounten3 = 0.9125;
  float mounten4 = 0.975f;
};
